﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="datasetTipoFactura" targetNamespace="http://tempuri.org/datasetTipoFactura.xsd" xmlns:mstns="http://tempuri.org/datasetTipoFactura.xsd" xmlns="http://tempuri.org/datasetTipoFactura.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="BaseDeDatosConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="BaseDeDatosConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.SoftCars.Properties.Settings.GlobalReference.Default.BaseDeDatosConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="tipoFacturaTableAdapter" GeneratorDataComponentClassName="tipoFacturaTableAdapter" Name="tipoFactura" UserDataComponentName="tipoFacturaTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="BaseDeDatosConnectionString (Settings)" DbObjectName="BaseDeDatos.dbo.tipoFactura" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[tipoFactura] WHERE (([idTipoFactura] = @Original_idTipoFactura) AND ((@IsNull_nombreTipo = 1 AND [nombreTipo] IS NULL) OR ([nombreTipo] = @Original_nombreTipo)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idTipoFactura" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idTipoFactura" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_nombreTipo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="nombreTipo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_nombreTipo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="nombreTipo" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[tipoFactura] ([nombreTipo]) VALUES (@nombreTipo);
SELECT idTipoFactura, nombreTipo FROM tipoFactura WHERE (idTipoFactura = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@nombreTipo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="nombreTipo" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT idTipoFactura, nombreTipo FROM dbo.tipoFactura</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[tipoFactura] SET [nombreTipo] = @nombreTipo WHERE (([idTipoFactura] = @Original_idTipoFactura) AND ((@IsNull_nombreTipo = 1 AND [nombreTipo] IS NULL) OR ([nombreTipo] = @Original_nombreTipo)));
SELECT idTipoFactura, nombreTipo FROM tipoFactura WHERE (idTipoFactura = @idTipoFactura)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@nombreTipo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="nombreTipo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idTipoFactura" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idTipoFactura" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_nombreTipo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="nombreTipo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_nombreTipo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="nombreTipo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idTipoFactura" ColumnName="idTipoFactura" DataSourceName="BaseDeDatos.dbo.tipoFactura" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idTipoFactura" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idTipoFactura" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idTipoFactura" DataSetColumn="idTipoFactura" />
              <Mapping SourceColumn="nombreTipo" DataSetColumn="nombreTipo" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="datasetTipoFactura" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="datasetTipoFactura" msprop:Generator_UserDSName="datasetTipoFactura">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="tipoFactura" msprop:Generator_TableClassName="tipoFacturaDataTable" msprop:Generator_TableVarName="tabletipoFactura" msprop:Generator_TablePropName="tipoFactura" msprop:Generator_RowDeletingName="tipoFacturaRowDeleting" msprop:Generator_RowChangingName="tipoFacturaRowChanging" msprop:Generator_RowEvHandlerName="tipoFacturaRowChangeEventHandler" msprop:Generator_RowDeletedName="tipoFacturaRowDeleted" msprop:Generator_UserTableName="tipoFactura" msprop:Generator_RowChangedName="tipoFacturaRowChanged" msprop:Generator_RowEvArgName="tipoFacturaRowChangeEvent" msprop:Generator_RowClassName="tipoFacturaRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idTipoFactura" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidTipoFactura" msprop:Generator_ColumnPropNameInRow="idTipoFactura" msprop:Generator_ColumnPropNameInTable="idTipoFacturaColumn" msprop:Generator_UserColumnName="idTipoFactura" type="xs:int" />
              <xs:element name="nombreTipo" msprop:Generator_ColumnVarNameInTable="columnnombreTipo" msprop:Generator_ColumnPropNameInRow="nombreTipo" msprop:Generator_ColumnPropNameInTable="nombreTipoColumn" msprop:Generator_UserColumnName="nombreTipo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:tipoFactura" />
      <xs:field xpath="mstns:idTipoFactura" />
    </xs:unique>
  </xs:element>
</xs:schema>